Package org.flowable.task.api

# Interface TaskBuilder

public interface TaskBuilder
Wraps `TaskInfo` to the builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskBuilder`
  `assignee(String assigneId)`
  The userId of the person to which this task is delegated.
  `TaskBuilder`
  `category(String category)`
  Change the category of the task.
  `Task`
  `create()`
  Creates task instance according values set in the builder
  `TaskBuilder`
  `description(String description)`
  Free text description of the task.
  `TaskBuilder`
  `dueDate(Date dueDate)`
  Change due date of the task.
  `TaskBuilder`
  `formKey(String formKey)`
  Change the form key of the task
  `String`
  `getAssignee()`
  `String`
  `getCategory()`
  `String`
  `getDescription()`
  `Date`
  `getDueDate()`
  `String`
  `getFormKey()`
  `String`
  `getId()`
  `Set<? extends IdentityLinkInfo>`
  `getIdentityLinks()`
  `String`
  `getName()`
  `String`
  `getOwner()`
  `String`
  `getParentTaskId()`
  `int`
  `getPriority()`
  `String`
  `getScopeId()`
  `String`
  `getScopeType()`
  `String`
  `getTaskDefinitionId()`
  `String`
  `getTaskDefinitionKey()`
  `String`
  `getTenantId()`
  `TaskBuilder`
  `id(String id)`
  DB id of the task.
  `TaskBuilder`
  `identityLinks(Set<? extends IdentityLinkInfo> identityLinks)`
  add identity links to the task
  `TaskBuilder`
  `name(String name)`
  Name or title of the task.
  `TaskBuilder`
  `owner(String ownerId)`
  The userId of the person that is responsible for this task.
  `TaskBuilder`
  `parentTaskId(String parentTaskId)`
  the parent task for which this task is a subtask
  `TaskBuilder`
  `priority(int priority)`
  Indication of how important/urgent this task is
  `TaskBuilder`
  `scopeId(String scopeId)`
  add task scopeId
  `TaskBuilder`
  `scopeType(String scopeType)`
  Add scope type
  `TaskBuilder`
  `taskDefinitionId(String taskDefinitionId)`
  task definition id to create task from
  `TaskBuilder`
  `taskDefinitionKey(String taskDefinitionKey)`
  task definition key to create task from
  `TaskBuilder`
  `tenantId(String tenantId)`
  Change the tenantId of the task

- ## Method Details

  - ### create

    Task create()
    Creates task instance according values set in the builder
    Returns:
      task instance

  - ### id

    TaskBuilder id(String id)
    DB id of the task.

  - ### getId

    String getId()

  - ### name

    TaskBuilder name(String name)
    Name or title of the task.

  - ### getName

    String getName()

  - ### description

    TaskBuilder description(String description)
    Free text description of the task.

  - ### getDescription

    String getDescription()

  - ### priority

    TaskBuilder priority(int priority)
    Indication of how important/urgent this task is

  - ### getPriority

    int getPriority()

  - ### owner

    TaskBuilder owner(String ownerId)
    The userId of the person that is responsible for this task.

  - ### getOwner

    String getOwner()

  - ### assignee

    TaskBuilder assignee(String assigneId)
    The userId of the person to which this task is delegated.

  - ### getAssignee

    String getAssignee()

  - ### dueDate

    TaskBuilder dueDate(Date dueDate)
    Change due date of the task.

  - ### getDueDate

    Date getDueDate()

  - ### category

    TaskBuilder category(String category)
    Change the category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

  - ### getCategory

    String getCategory()

  - ### parentTaskId

    TaskBuilder parentTaskId(String parentTaskId)
    the parent task for which this task is a subtask

  - ### getParentTaskId

    String getParentTaskId()

  - ### tenantId

    TaskBuilder tenantId(String tenantId)
    Change the tenantId of the task

  - ### getTenantId

    String getTenantId()

  - ### formKey

    TaskBuilder formKey(String formKey)
    Change the form key of the task

  - ### getFormKey

    String getFormKey()

  - ### taskDefinitionId

    TaskBuilder taskDefinitionId(String taskDefinitionId)
    task definition id to create task from

  - ### getTaskDefinitionId

    String getTaskDefinitionId()

  - ### taskDefinitionKey

    TaskBuilder taskDefinitionKey(String taskDefinitionKey)
    task definition key to create task from

  - ### getTaskDefinitionKey

    String getTaskDefinitionKey()

  - ### identityLinks

    TaskBuilder identityLinks(Set<? extends IdentityLinkInfo> identityLinks)
    add identity links to the task

  - ### getIdentityLinks

    Set<? extends IdentityLinkInfo> getIdentityLinks()

  - ### scopeId

    TaskBuilder scopeId(String scopeId)
    add task scopeId

  - ### getScopeId

    String getScopeId()

  - ### scopeType

    TaskBuilder scopeType(String scopeType)
    Add scope type

  - ### getScopeType

    String getScopeType()